Product comparison · 2 ip phones

Yealink MP58-WH E2 Teams vs Yealink T58W(Pro) with Camera

Add a product
  • 34specifications compared
  • 7differ
  • 27identical
  • 52known for one product only

Key differences

The Yealink T58W(Pro) with Camera has 0.4 mm more width than the Yealink MP58-WH E2 Teams (259.4 mm vs 259 mm). The Yealink T58W(Pro) with Camera has 24 mm more depth than the Yealink MP58-WH E2 Teams (220 mm vs 196 mm). The Yealink T58W(Pro) with Camera has 75 mm more height than the Yealink MP58-WH E2 Teams (239 mm vs 164 mm). Handset type: Wired handset on the Yealink MP58-WH E2 Teams, Wireless handset on the Yealink T58W(Pro) with Camera. Operating relative humidity (H-H): 10 - 95% on the Yealink MP58-WH E2 Teams, 5 - 90% on the Yealink T58W(Pro) with Camera.

  • Handset type
    • Yealink MP58-WH E2 Teams:Wired handset
    • T58W(Pro) with Camera:Wireless handset
  • Operating relative humidity (H-H)
    • Yealink MP58-WH E2 Teams:10 - 95%
    • T58W(Pro) with Camera:5 - 90%
  • Operating temperature (T-T)
    • Yealink MP58-WH E2 Teams:-10 - 50 °C
    • T58W(Pro) with Camera:-10 - 45 °C
  • Width
    • Yealink MP58-WH E2 Teams:259 mm
    • T58W(Pro) with Camera:259.4 mm
  • Depth
    • Yealink MP58-WH E2 Teams:196 mm
    • T58W(Pro) with Camera:220 mm
  • Height
    • Yealink MP58-WH E2 Teams:164 mm
    • T58W(Pro) with Camera:239 mm

Side by side

Differences highlightedShow differences only (on)
Comparison of Yealink MP58-WH E2 Teams, T58W(Pro) with Camera
86 specifications
Design1 differ
Handset typeDiffersWired handsetWireless handset
Wall mountableKnown for oneUnknown — not stated by the sourceYes
Performanceidentical
Dual-Tone Multi-Frequency (DTMF) modesKnown for oneUnknown — not stated by the sourceIn-band, Out-of band, SIP info
Hearing aid compatibilityKnown for oneUnknown — not stated by the sourceYes
Phone featuresidentical
Answering machineKnown for oneUnknown — not stated by the sourceYes
Anonymous callKnown for oneUnknown — not stated by the sourceYes
Anonymous call rejectionKnown for oneUnknown — not stated by the sourceYes
Call parkKnown for oneUnknown — not stated by the sourceYes
Call pick upKnown for oneUnknown — not stated by the sourceYes
Call returnKnown for oneUnknown — not stated by the sourceYes
Call transferKnown for oneUnknown — not stated by the sourceYes
Conference callKnown for oneUnknown — not stated by the sourceYes
Do not disturb functionKnown for oneUnknown — not stated by the sourceYes
Full duplexKnown for oneUnknown — not stated by the sourceYes
IntercomKnown for oneUnknown — not stated by the sourceYes
Message-waiting indicator (MWI)Known for oneUnknown — not stated by the sourceYes
Phonebook capacityKnown for oneUnknown — not stated by the source1000 entries
Speed diallingKnown for oneUnknown — not stated by the sourceYes
Management featuresidentical
Integrated voicemailKnown for oneUnknown — not stated by the sourceYes
Keypad number of keysKnown for oneUnknown — not stated by the source27
Number of function keysKnown for oneUnknown — not stated by the source7
Displayidentical
Number of simultaneous touchpointsKnown for one5Unknown — not stated by the source
Cameraidentical
Front cameraKnown for oneUnknown — not stated by the sourceYes
Front camera resolution (numeric)Known for oneUnknown — not stated by the source2 MP
Field of view (FOV) angleKnown for oneUnknown — not stated by the source75°
Camera privacy shutterKnown for oneUnknown — not stated by the sourceYes
Audio1 differ
Adaptive jitter buffersKnown for oneUnknown — not stated by the sourceYes
Automatic gain controlKnown for oneUnknown — not stated by the sourceYes
Comfort noise generation (CNG)Known for oneUnknown — not stated by the sourceYes
Noise reductionKnown for oneUnknown — not stated by the sourceYes
Packet loss concealment (PLC)Known for oneUnknown — not stated by the sourceYes
Voice activity detectionKnown for oneUnknown — not stated by the sourceYes
Voice codecsDiffersAEC, AGC, AJB, CNG, G.711alaw, G.711ulaw, G.722, G.723.1, G.726, G.729A, G.729B, PLC, Silk, VADG.711a, G.722, G.723.1, G.726, G.729, G.729A, G.729B, iLBC
Videoidentical
Video callKnown for oneUnknown — not stated by the sourceYes
Bit rateKnown for oneUnknown — not stated by the source512 Kbit/s
Video resolutionsKnown for oneUnknown — not stated by the source1280 x 720 pixels
Video capture resolution (max)Known for oneUnknown — not stated by the source1280 x 720 pixels
Video capturing speedKnown for oneUnknown — not stated by the source30 fps
Video codecsKnown for oneUnknown — not stated by the sourceH.264 High Profile, H.264, VP8
Networkidentical
Wi-Fi standardsKnown for oneUnknown — not stated by the source802.11a, 802.11b, 802.11g, Wi-Fi 4 (802.11n)
Bluetooth versionKnown for oneUnknown — not stated by the source4.2
Networking standardsKnown for oneUnknown — not stated by the sourceIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3af
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for oneUnknown — not stated by the source256-bit AES, HTTPS, TLS, WPA2, WPA3
Supported network protocolsKnown for oneUnknown — not stated by the sourceIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)
Ports & interfacesidentical
USB Type-C ports quantityKnown for one1Unknown — not stated by the source
DC-in jackKnown for oneYesUnknown — not stated by the source
Poweridentical
AC adapter input voltageKnown for one100 - 240 VUnknown — not stated by the source
AC adapter output voltageKnown for one12 VUnknown — not stated by the source
AC adapter output currentKnown for one1 AUnknown — not stated by the source
USB output currentKnown for one0.5 AUnknown — not stated by the source
Operational conditions2 differ
Operating relative humidity (H-H)Differs10 - 95%5 - 90%
Operating temperature (T-T)Differs-10 - 50 °C-10 - 45 °C
Weight & dimensions3 differ
WidthDiffers259 mm259.4 mm
DepthDiffers196 mm220 mm
HeightDiffers164 mm239 mm
Package weightKnown for oneUnknown — not stated by the source8.8 kg
Packaging contentidentical
Cables includedKnown for oneLAN (RJ-45)Unknown — not stated by the source
Headset includedKnown for oneYesUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons